Package commoble.morered.wire_post

# Class PostsInChunk

java.lang.Object
commoble.morered.wire_post.PostsInChunk

All Implemented Interfaces:
  `net.minecraftforge.common.capabilities.ICapabilityProvider`, `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`

public class PostsInChunk extends Object implements net.minecraftforge.common.capabilities.ICapabilityProvider, net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraftforge.common.capabilities.Capability<PostsInChunk>`
`CAPABILITY`
`static final com.mojang.serialization.Codec<Set<net.minecraft.core.BlockPos>>`
`DATA_CODEC`
`static final String`
`POSITIONS`

## Constructor Summary

Constructors
Constructor
Description
`PostsInChunk(net.minecraft.world.level.chunk.LevelChunk chunk)`

## Method Summary

Modifier and Type
Method
Description
`void`
`deserializeNBT(net.minecraft.nbt.CompoundTag nbt)`
`<T> net.minecraftforge.common.util.LazyOptional<T>`
`getCapability(net.minecraftforge.common.capabilities.Capability<T> cap, net.minecraft.core.Direction side)`
`net.minecraft.world.level.chunk.LevelChunk`
`getChunk()`
`Set<net.minecraft.core.BlockPos>`
`getPositions()`
`static Set<net.minecraft.world.level.ChunkPos>`
`getRelevantChunkPositionsNearPos(net.minecraft.core.BlockPos pos)`
`void`
`onCapabilityInvalidated()`
`net.minecraft.nbt.CompoundTag`
`serializeNBT()`
`void`
`setPositions(Set<net.minecraft.core.BlockPos> set)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.capabilities.ICapabilityProvider

`getCapability`

## Field Details

### CAPABILITY

public static final net.minecraftforge.common.capabilities.Capability<PostsInChunk> CAPABILITY

### POSITIONS

public static final String POSITIONS

See Also:
  - Constant Field Values

### DATA_CODEC

public static final com.mojang.serialization.Codec<Set<net.minecraft.core.BlockPos>> DATA_CODEC

## Constructor Details

### PostsInChunk

public PostsInChunk(net.minecraft.world.level.chunk.LevelChunk chunk)

## Method Details

### getChunk

public net.minecraft.world.level.chunk.LevelChunk getChunk()

### getCapability

public <T> net.minecraftforge.common.util.LazyOptional<T> getCapability(net.minecraftforge.common.capabilities.Capability<T> cap, net.minecraft.core.Direction side)

Specified by:
  `getCapability` in interface `net.minecraftforge.common.capabilities.ICapabilityProvider`

### getPositions

public Set<net.minecraft.core.BlockPos> getPositions()

### setPositions

public void setPositions(Set<net.minecraft.core.BlockPos> set)

### serializeNBT

public net.minecraft.nbt.CompoundTag serializeNBT()

Specified by:
  `serializeNBT` in interface `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`

### deserializeNBT

public void deserializeNBT(net.minecraft.nbt.CompoundTag nbt)

Specified by:
  `deserializeNBT` in interface `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`

### getRelevantChunkPositionsNearPos

public static Set<net.minecraft.world.level.ChunkPos> getRelevantChunkPositionsNearPos(net.minecraft.core.BlockPos pos)

### onCapabilityInvalidated

public void onCapabilityInvalidated()